﻿using SqlSugar;
using System;
using System.ComponentModel.DataAnnotations;

namespace Falcon.SugarApi.DatabaseDefinitions
{
    /// <summary>
    /// 数据表GUID主键
    /// </summary>
    public class EntityGuidId {
        /// <summary>
        /// 主键
        /// </summary>
        [Key]
        [SugarColumn(IsPrimaryKey = true,ColumnDescription = "主键")]
        public Guid? Id { get; set; } = Guid.NewGuid();
    }
}
