﻿using System;

namespace Falcon.SugarApi.DatabaseDefinitions
{
    /// <summary>
    /// 表示该列将以json字符串形式存储
    /// </summary>
    [AttributeUsage(AttributeTargets.Property,AllowMultiple = false,Inherited = false)]
    public class JsonTypeAttribute:Attribute
    {
        /// <summary>
        /// 数据长度。默认4000
        /// </summary>
        public int Length { get; set; } = 4000;
    }
}
